Bug 804038 - (CVE-2012-1183) CVE-2012-1183 asterisk: Stack-based buffer overwrite by processing large audio packet in Miliwatt application (AST-2012-002)
CVE-2012-1183 asterisk: Stack-based buffer overwrite by processing large audi...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120315,repor...
: Security
Depends On: 804045
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 07:38 EDT by Jan Lieskovsky
Modified: 2012-05-11 18:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-16 07:38:25 EDT
An out-of stack-based buffer write flaw was found in the way the Miliwatt application of the Asterisk, open source telephony toolkit, performed generation of constant audio tone at 1000Hz (the 'o' option) from certain, provided audio packets, when the 'internal_timing' Asterisk configuration file option was disabled. In this configuration, a remote attacker could provide a specially-crafted audio packet file, which once processed by the Miliwatt application would lead to that application crash, or, potentially arbitrary code execution with the privileges of the user running the application.

Upstream security advisory:
[1] http://downloads.asterisk.org/pub/security/AST-2012-002.pdf

Asterisk v1.8.10.1 announcement:
[2] http://www.asterisk.org/node/51797

Upstream patch against the v1.8 branch:
[3] http://downloads.asterisk.org/pub/security/AST-2012-002-1.8.diff
Comment 1 Jan Lieskovsky 2012-03-16 07:49:01 EDT
This issue affects the versions of the asterisk package, as shipped with Fedora release of 15 and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-03-16 07:50:17 EDT
Created asterisk tracking bugs for this issue

Affects: fedora-all [bug 804045]
Comment 3 Jan Lieskovsky 2012-03-16 07:51:27 EDT
CVE request:
[4] http://www.openwall.com/lists/oss-security/2012/03/16/10
Comment 4 Kurt Seifried 2012-03-16 15:27:39 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/16/17
Comment 5 Fedora Update System 2012-03-30 23:09:46 EDT
asterisk-1.8.10.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-03-30 23:16:26 EDT
asterisk-1.8.10.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-11 22:04:14 EDT
asterisk-10.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-03 18:53:42 EDT
asterisk-1.8.11.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-05-04 18:52:01 EDT
asterisk-10.3.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-05-11 18:02:52 EDT
asterisk-1.8.11.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.